#### D.4.19.3 PrimdecB

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  PrimdecB (N, p); pseudo-primary module N, isolated prime ideal p

Return:
  list l
  a (not necessarily minimal) primary decomposition of N

Example:

    LIB "mprimdec.lib";
    ring r=0,(x,y,z),dp;
    module N=y*gen(1),y2*gen(2),yz*gen(2),yx*gen(2);
    ideal p=y;
    list l=PrimdecB(N,p);
    l;
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=y*gen(1)
    ==>       _[2]=y*gen(2)
    ==>    [2]:
    ==>       _[1]=y
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=y*gen(1)
    ==>       _[2]=y*gen(2)
    ==>       _[3]=x*gen(1)
    ==>       _[4]=x*gen(2)
    ==>    [2]:
    ==>       _[1]=y
    ==>       _[2]=x
    ==> [3]:
    ==>    [1]:
    ==>       _[1]=z*gen(1)
    ==>       _[2]=z*gen(2)
    ==>       _[3]=y*gen(1)
    ==>       _[4]=x*gen(1)
    ==>       _[5]=x*gen(2)
    ==>       _[6]=y2*gen(2)
    ==>    [2]:
    ==>       _[1]=z
    ==>       _[2]=y
    ==>       _[3]=x

User manual for Singular version 4.4.1, 2025, generated by texi2html.